package gn

type IndexInfo struct {
	ClassifyNameOne   string `description:"一级目录"`
	ClassifyNameTwo   string `description:"二级目录"`
	ClassifyNameThree string `description:"三级目录"`
	DataIndexCode     string `description:"数据节点指标编码"`
	SourceEdbCode     string `description:"数据源指标原始编码"`
	EdbName           string `description:"指标名称"`
	Frequency         string `description:"频度"`
	Unit              string `description:"单位"`
	SourceName        string `description:"来源"`
	SourceCode        string `description:"来源编码"`
}

// IndexData 指标数据
type IndexData struct {
	Val        float64 `json:"val"`
	DataTime   string  `json:"data_time"`
	UpdateTime string  `json:"update_time"`
}
