package gn

// SyncMdmEmployeeReq 同步mdm员工请求
type SyncMdmEmployeeReq struct {
	MainFieldEmployeeCode        string `json:"Main_Field_Employee_Code"`
	MainFieldEmployeeFirstName   string `json:"Main_Field_Employee_FirstName"`
	MainFieldEmployeeLastName    string `json:"Main_Field_Employee_LastName"`
	MainFieldGender              string `json:"Main_Field_Gender"`
	MainFieldEmpolyeeGroup       string `json:"Main_Field_Empolyee_Group"`
	MainFieldOfficeTelephone     string `json:"Main_Field_Office_Telephone"`
	MainFieldDateType            string `json:"Main_Field_Date_Type"`
	MainFieldEmployeeStatus      string `json:"Main_Field_Employee_Status"`
	MainFieldDeleteFlag          string `json:"Main_Field_Delete_Flag"`
	MainFieldEmail               string `json:"Main_Field_Email"`
	MainFieldCompanyCode         string `json:"Main_Field_Company_code"`
	MainFieldSecondcomstrucodehr string `json:"Main_Field_Secondcomstrucodehr"`
	MainFieldCompanyChain        string `json:"Main_Field_Company_Chain"`
	MDM_MATERIAL_PROPS           []struct {
		TuplesFieldCompanyCode    string `json:"Tuples_Field_Company_Code"`
		TuplesFieldCompanyName    string `json:"Tuples_Field_Company_Name"`
		TuplesFieldDepartmentCode string `json:"Tuples_Field_Department_Code"`
		TuplesFieldDepartmentName string `json:"Tuples_Field_Department_Name"`
		TuplesFieldPositionCode   string `json:"Tuples_Field_Position_Code"`
		TuplesFieldPositionName   string `json:"Tuples_Field_Position_Name"`
		TuplesFieldPostFlag       string `json:"Tuples_Field_Post_Flag"`
	} `json:"MDM_MATERIAL_PROPS"`
}

// SyncMdmOrganizationReq 同步mdm组织部门请求
type SyncMdmOrganizationReq struct {
	MainFieldComstruCode              string `json:"Main_Field_Comstru_Code"`
	MainFieldComstruCodeHR            string `json:"Main_Field_Comstru_Code_HR"`
	MainFieldComstruTypeHR            string `json:"Main_Field_Comstru_Type_HR"`
	ZDWLX                             string `json:"ZDWLX"`
	MainFieldComstruNameHR            string `json:"Main_Field_Comstru_Name_HR"`
	MainFieldComstruShortNameHR       string `json:"Main_Field_Comstru_Short_Name_HR"`
	MainFieldParentAdminComstruCodeHR string `json:"Main_Field_ParentAdmin_Comstru_Code_HR"`
	MainFieldParentAdminComstruCode   string `json:"Main_Field_ParentAdmin_Comstru_Code"`
	MainFieldParentAdminComstruName   string `json:"Main_Field_ParentAdmin_Comstru_Name"`
	MainFieldCompanyLevel             string `json:"Main_Field_Company_Level"`
	MainFieldSecondcomstrucodehr      string `json:"Main_Field_Secondcomstrucodehr"`
	MainFieldShBusinessType           string `json:"Main_Field_Sh_Business_Type"`
	MainFieldYZGDWZCNDGX              string `json:"Main_Field_YZGDWZCNDGX"`
	MainFieldOrderHR                  string `json:"Main_Field_Order_HR"`
	MainFieldCompanyCode              string `json:"Main_Field_Company_Code"`
	MainFieldCompanyChain             string `json:"Main_Field_Company_Chain"`
	MainFieldPARENTCOMPANYVIRTUAL     string `json:"Main_Field_PARENTCOMPANYVIRTUAL"`
	ZQYZT                             string `json:"ZQYZT"`
}
