package gn

// PostOAReq
// @Description: 请求oa待办参数
type PostOAReq struct {
	AppPersonId   string `json:"appPersonId" form:"appPersonId" description:"⽤户⼯号"`
	AppPersonName string `json:"appPersonName" form:"appPersonName" description:"⽤户名"`
	AppTaskUrl    string `json:"appTaskUrl" form:"appTaskUrl" description:"待办地址，跳转地址"`
	TaskName      string `json:"taskName" form:"taskName" description:"待办标题"`
	StatusName    string `json:"statusName" form:"statusName" description:"待办节点名称"`
	Status        int    `json:"status" form:"status" description:"待办状态：1-插⼊，2-更新，3-删除"`
	AppTaskId     string `json:"appTaskId" form:"appTaskId" description:"待办任务ID：插⼊时不需要传参，由接⼝⽣成唯⼀ID并返回，需要业务系统保存此ID，⽤于后续的更新和删除操作"`
}
