package index_data

// GnPageIndexReq 指标列表请求体-分页
type GnPageIndexReq struct {
	LastModifyTime string `json:"last_modify_time" form:"last_modify_time" description:"最近一次更新时间"`
	PageIndex      int    `json:"page_index" form:"page_index" description:"当前页码"`
	PageSize       int    `json:"page_size" form:"page_size" description:"每页数据量"`
	IndexId        string `json:"index_id" form:"index_id" description:"指标ID,不为空时表示只取该指标"`
}

// GnDataReq 指标数据请求体
type GnDataReq struct {
	IndexCode string `json:"index_code" form:"index_code" description:"指标编码"`
	StartDate string `json:"start_date" form:"start_date" description:"开始日期"`
	EndDate   string `json:"end_date" form:"end_date" description:"结束日期"`
}
