package routers

import (
	"eta_gn/eta_bridge/controller/index_data"
	"eta_gn/eta_bridge/middleware"
	"github.com/gin-gonic/gin"
)

// InitIndexData 获取指标信息
func InitIndexData(r *gin.RouterGroup) {
	gnControl := new(index_data.GnIndexController)
	gnGroup := r.Group("index_data/gn/").Use(middleware.InternalToken())
	gnGroup.POST("/edb/list", gnControl.GetPageIndex)
	gnGroup.POST("/edb/data/list", gnControl.GetIndexData)
}
