package routers

import (
	"eta_gn/eta_bridge/controller/knowledge"

	"github.com/gin-gonic/gin"
)

func InitKnowledgeRouter(r *gin.RouterGroup) {
	control := new(knowledge.KnowledgeController)
	group := r.Group("knowledge/")
	group.POST("report/save", control.ReportSave)
	group.POST("viewpoint/save", control.ViewPointSave)
}
